/*
 Theme Name:     OV Child
 Theme URI:      https://ovdivi.com/
 Description:    Divi Child Theme 
 Author:         Oscar Viedma
 Author URI:     https://www.oscarviedma.com
 Template:       Divi
 Version:        1.0.0
*/
 
 
/* =Theme customization starts here
------------------------------------------------------- */

/* Preloader */
.preloader {
    position: fixed;
    top: 0;
    width: 100%;
    height: 100%;
    left: 0;
    z-index: 999999;
    overflow: hidden;
    background: linear-gradient(135deg, #f06, #4a90e2);
    background-size: cover; 
    background-position: center; 
}

.preloader .overlay {
    width: 100%;
    height: 100%;
    background: linear-gradient(135deg, #f06, #4a90e2); /* Degradado de fondo para .overlay */
    position: fixed;
    transform: scaleX(0);
    transform-origin: 0% 50%;
    animation: anim 2s ease-in-out; /* Usa ease-in-out para un efecto más suave */
}

@keyframes anim {
    0% {
        transform: scaleX(0);
        transform-origin: 0% 50%;
    }
    50% {
        transform: scaleX(1);
        transform-origin: 0% 50%;
    }
    51% {
        transform: scaleX(1);
        transform-origin: 100% 50%;
    }
    100% {
        transform: scaleX(0);
        transform-origin: 100% 50%;
    }
}
